package com.glxp.udidl.admin.service.inout;

import com.glxp.udidl.admin.entity.udid.*;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.req.udid.DeviceListRequest;
import com.glxp.udidl.admin.req.udid.DeviceSearchRequest;

import java.util.List;

public interface DeviceService {

    List<DeviceEntity> listDevices(DeviceListRequest deviceListRequest);

    boolean insertDevice(Device device);

    boolean insertDeviceClinical(List<Deviceclinical> deviceclinicals);

    boolean insertDevicestorage(List<Devicestorage> devicestorages);

    boolean insertDevicepackage(List<Devicepackage> devicepackages);

    boolean insertContactlist(List<Contactlist> contactlists);

    Device searchByBs(String zzxsbs);

    List<DeviceEntity> search(DeviceSearchRequest deviceSearchRequest);

    long seatchTotal(DeviceSearchRequest deviceSearchRequest);

    DeviceEntity searchById(String id);

    Device searchByDeviceRecordKey(String deviceRecordKey);

    Device searchByZxxscpbs(String zxxscpbs);

    boolean deleteHistory(String deviceRecordKey);

    String selectisSame(String deviceRecordKey, String versionNumber);

    String selectKey(String zxxsdycpbs);

    List<String> findAllByZxxscpbs();

    List<String> findAllByZxxscpbsPage(ListPageRequest listPageRequest);

    boolean updateCplx(Device device);
}
